Welcome to the New BigPanda API Documentation
Bearer.Authorization: Bearer [YOUR_USER_API_KEY]🚧 Config object required The config object is required when creating an enrichment item. When adding your array of enrichment items, make sure to expand the config object and include all required parameters. Different fields are required for composition and extraction type enrichments.
${<tag_name>}. For example:mywiki.com/${host}/${check}%, +, or a space, use the format ${exact(<tagname>)} to protect the values from being re-encoded.source, destination, and value properties.^ to indicate starts with and a dollar sign $ to indicate ends with.source, destination, and regex properties.curl --location 'https://api.bigpanda.io/resources/v2.1/enrichments-config/tags//enrichments' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"enrichments": [
{
"type": "extraction",
"active": true,
"when": {
"AND": [
{
"=": [
"status",
"warning"
]
},
{
"IN": [
"source_system",
[
"oim.datadog_prod"
]
]
}
]
},
"config": {
"source": "host",
"selected_source_system": "oim.datadog_prod",
"destination": "service_name",
"regex": "^([^-]+)-.*$"
},
"note": "Extract service from host"
}
]
}'{
"id": "string",
"type": "string",
"active": true,
"when": {
"IN": [
"source_system",
[
{
"type": "regex",
"value": "*"
}
]
]
},
"version": 0,
"config": {
"source": "string",
"destination": "string",
"value": "string"
},
"created_by": "string",
"updated_by": "string",
"note": "string"
}